{% extends 'admin/base.html.twig' %}

{% block back_body_content %}
    <section class="content-header"><h1>Blog posts list</h1></section>
    <section class="content">
        <div class="row">
            <div class="col-xs-12">
                <div class="box box-primary box-solid">
                    <div class="box-header with-border">
                        <h3 class="box-title">List</h3>
                    </div>

                    <div class="box-body">
                        <table id="admin-list-table" class="table table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>Title</th>
                                <th>Published at</th>
                                <th>Views count</th>
                                <th>Is active</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for post in posts %}
                                <tr>
                                    <td>
                                        {{ post.id }}
                                    </td>
                                    <td>{{ post.title }}</td>
                                    <td>{{ post.publishedAt|date('m.d.Y') }}</td>
                                    <td>{{ post.viewsCount }}</td>
                                    <td>{{ post.isActive ? 'yes' : 'no' }}</td>
                                    <td>
                                        <a href="{{ path('admin_blog_post_edit', {'id': post.id}) }}">
                                            <i class="fa fa-edit"></i>
                                        </a>
                                        <a href="{{ path('admin_blog_post_delete', {'id': post.id}) }}">
                                            <i class="fa fa-trash"></i>
                                        </a>
                                    </td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td colspan="5">There are no blog posts yet.</td>
                                </tr>
                            {% endfor %}
                            </tbody>

                        </table>
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>
        </div>
    </section>
{% endblock %}

{% block back_javascripts %}
    {{ parent() }}
    <script>
      $(function () {
        $('#admin-list-table').DataTable({
           "pageLength": 5,
          "order": [[ 0, "desc" ]]
        })
      })
    </script>
{% endblock %}
